function SelectRandom()
  idObject=GetRandomObject();
  selectrandomobject1(1.5,idObject);
end;
function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if sender==30 then
    if flags.spearin and not flags.spearinM then
      flags.spearinM=true
      speciale_action(2,obj.pik_back_yard.id)
      setCursor(obj.statpik_back_yard.id,3)  
      StopEmiter("Standart_13_3");
    end;
    if flags.swordin and not flags.swordinM then
      flags.swordinM=true
      speciale_action(2,obj.sword_back_yard.id)
      setCursor(obj.statsword_back_yard.id,3)
      StopEmiter("Standart_13_1");
    end;  
    if flags.spearin and flags.swordin and not flags.holeM then
      flags.holeM=true
      speciale_action(2,obj.hole_back_yard.id)
      setCursor(obj.hole_back_yard.id,2)
      AddEmiter(obj.hole_back_yard.id,"Standart_13_4",true);
      StartEmiter("Standart_13_4");
    end;    
    if flags.Statuefinish then    
      setCursor(obj.hole_back_yard.id,3)
      StopEmiter("Standart_13_4");
      neighbors.BackyardHidden.lock = false
      set_visible_object(obj.door_BackyardHidden_13_0.id,true)
      AddEmiter(obj.door_BackyardHidden_13_0.id,"Hidden_13_1",true,nil,nil,true);
      StartEmiter("Hidden_13_1");
      setCursor(obj.door_BackyardHidden_13_0.id,2)          
    end;
  return;end;
  
  if sender==15 then
    if obj_id==obj.ladder1_14_11.id then
      speciale_action(2,obj.ladder2_14_11.id,true)
    return;end;
    if obj_id==obj.ladder2_14_11.id then
      speciale_action(2,obj.ladder3_14_11.id,true)    
    return;end;
    if obj_id==obj.ladder3_14_11.id then
      speciale_action(2,obj.ladder4_14_11.id,true)
    return;end;
    if obj_id==obj.ladder4_14_11.id then
      speciale_action(2,3)
      setCursor(3,2)
      Block_Show_Cur(false)
    return;end;    
  return;end;
  if sender==16 then  
    if obj_id==obj.spearin_14_11.id or obj_id==obj.swordin_14_11.id then
      if flags.spearin and flags.swordin then
        Block_Show_Cur(true)
        speciale_action(2,obj.ladder1_14_11.id,true)
        playeffect("stup")
      return;end;
    return;end;
  return;end;
  if sender==1 then
    if obj_id==3 then
      flags.statueok=true
    speciale_action(2,obj.magnific_14_11.id)
    speciale_action(2,obj.near_14_11.id)
    setCursor(obj.magnific_14_11.id,4)
    return;end;
    if obj_id==obj.magnific_14_11.id then
    flags.Statuefinish=true
    StoreObj(obj.magnific_14_11.id)

    return;end;
    if obj_id==1 and not flags.spearin then
      if obj.kope_15_1~=nil and attachedID==obj.kope_15_1.id then
          removeFromMouse()
          UnStoreObj(obj.kope_15_1.id)    
          flags.spearin=true
          speciale_action(2,obj.spearin_14_11.id,true)
          setCursor(1,3)
          playeffect("grav")
      return;end;
      if (obj.spear==nil or (obj.spear~=nil and attachedID~=obj.spear.id) )and attachedID~=-1 then
      CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("612")
      return;end;        
    return;end;
    if obj_id==2 and not flags.swordin then
      if obj.mech_20_0~=nil and attachedID==obj.mech_20_0.id then
          removeFromMouse()
          UnStoreObj(obj.mech_20_0.id)    
          flags.swordin=true
          speciale_action(2,obj.swordin_14_11.id,true)  
          setCursor(2,3)  
          playeffect("grav")
      return;end;
      if (obj.mech_20_0==nil or (obj.mech_20_0~=nil and attachedID~=obj.mech_20_0.id) )and attachedID~=-1 then
      CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("612")
      return;end;      
    return;end;    
  end
  if sender==26 then
  --  CloseSatelite()
  end;
end

function SheetSwitched(nCount)
end;
